## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check

# https://github.com/oklog/ulid
%global goipath         github.com/oklog/ulid
Version:                2.1.0

%gometa -L

%global goaltipaths     %{goipath}/v2

%global common_description %{expand:
Universally Unique Lexicographically Sortable Identifier (ULID) in Go.}

%global golicenses      LICENSE
%global godocs          AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md

Name:           golang-github-oklog-ulid
Release:        %autorelease
Summary:        Universally Unique Lexicographically Sortable Identifier (ULID) in Go

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# Refactor default entropy and fix test
# https://github.com/oklog/ulid/pull/98
# Backported to v2.1.0 without changes to GitHub Actions in .github/
Patch:          0001-Refactor-default-entropy-and-fix-test-98.patch

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
# Build the ulid binary as ulid-go, as suggested by upstream in:
#   Multiple conflicting command-line tools called ulid exist
#   https://github.com/oklog/ulid/issues/111
install -m 0755 -vp %{gobuilddir}/bin/ulid %{buildroot}%{_bindir}/ulid-go

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/ulid-go

%gopkgfiles

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> None-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> None-2
- Rebuild for golang 1.22.0

* Wed Jan 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> None-1
- Update to 2.1.0 (close RHBZ#2104165)

* Wed Jan 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.2-19
- Install the ulid binary as ulid-go, as suggested by upstream

* Wed Jan 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.2-18
- Re-generate with go2rpm

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.0.2-11
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-10
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 23:06:38 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-6
- Add alternate import path for v2
- Fix: rhbz#1915125

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 00:37:12 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-1
- Initial package

